﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TimeControlApp
{
    public struct PolarPoint
    {
        public double Radius;
        public double Angle;

        public PolarPoint(double r, double a)
        {
            this.Radius = r;
            this.Angle = a;
        }

        public PolarPoint(Point p, Point origin)
        {
            double dx = p.X - origin.X;
            double dy = origin.Y - p.Y;
            this.Radius = Math.Sqrt(dx * dx + dy * dy);
            this.Angle = Math.Atan2(dy, dx);
        }
    }
}
